Tonyu.klass.define({
  fullName: 'user.Boss',
  shortName: 'Boss',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Boss_main() {
        "use strict";
        var _this=this;
        var _it_737;
        var _it_738;
        
        _this.AM=[0,8,16];
        _this.AR=[18,26];
        _this.AL=[2,10];
        if (_this.mode==1) {
          _this.pat=Tonyu.globals.$pat_Reimu;
          _this.spell="回霊「夢想封印　詫」";
          
        }
        if (_this.mode==2) {
          _this.pat=Tonyu.globals.$pat_Flandre;
          _this.spell="禁鬼「クランベリートラップ」";
          
        }
        _this.c=0;
        if (_this.mode==2) {
          Tonyu.globals.$sound.playBGMID(2,Tonyu.globals.$se_Flandre,true,0,174861,5343498);
          Tonyu.globals.$sound.setBGMVolumeID(2,0);
          _this.vol=0;for (; _this.vol<255 ; _this.vol+=5) {
            Tonyu.checkLoop();
            {
              Tonyu.globals.$sound.setBGMVolumeID(1,255-_this.vol);
              Tonyu.globals.$sound.setBGMVolumeID(2,_this.vol);
            }
          }
          
        }
        _this.max=60;
        _this.s=- 50;
        _this.g=120;
        _this.n=0;for (; _this.n<Tonyu.bindFunc(_this,_this.max) ; _this.n++) {
          Tonyu.checkLoop();
          {
            if (_this.n%8==0) {
              _this.c++;
            }
            _this.p=_this.pat+_this.AM[_this.c%3];
            _it_737=Tonyu.iterator(_this.allWithin(Tonyu.classes.user.Bullet,16),1);
            while(_it_737.next()) {
              _this.b=_it_737[0];
              
              _this.b.die();
            }
            _this.move(160,- 50,160,120);
            _this.update();
          }
        }
        _this.p=_this.pat+3;
        Tonyu.globals.$Name=new Tonyu.classes.user.Name({x: 310,y: 500,text: ""+_this.spell,size: 15,align: "right",fillStyle: "white"});
        _this.vHP=0;
        _this.HP=0;for (; _this.HP<1000 ; _this.HP+=20) {
          Tonyu.checkLoop();
          {
            Tonyu.globals.$panel.setFillStyle(_this.color(255,180,180));
            Tonyu.globals.$panel.fillRect(20,20,280/1000*_this.HP,5);
            if (_this.HP==100) {
              _this.p+=8;
            }
            if (_this.HP==200) {
              _this.p+=8;
            }
            _this.update();
          }
        }
        _this.t=0;
        _this.vc=0;
        _this.i=1;
        while (true) {
          Tonyu.checkLoop();
          _this.vc++;
          if (_this.vc%8==0) {
            _this.c++;
          }
          _this.p=_this.pat+_this.AM[_this.c%8];
          if (Tonyu.globals.$Boot.getMeasuredFps()>50) {
            _this.t++;
          }
          if (_this.vHP>=1) {
            _this.HP--;
            _this.vHP--;
            
          }
          Tonyu.globals.$panel.clearRect(0,0,Tonyu.globals.$screenWidth,Tonyu.globals.$screenHeight);
          Tonyu.globals.$panel.setFillStyle(_this.color(255,180,180));
          Tonyu.globals.$panel.fillRect(20,20,280/1000*_this.HP,5);
          _this.Atc();
          _it_738=Tonyu.iterator(_this.allWithin(Tonyu.classes.user.Bullet,16),1);
          while(_it_738.next()) {
            _this.b=_it_738[0];
            
            if (_this.HP>0) {
              _this.b.die();
              _this.vHP+=_this.b.atc;
              
            }
            
          }
          if (_this.HP<=0) {
            _this.sx=_this.x;
            _this.sy=_this.y;
            Tonyu.globals.$Name.die();
            _this.all(Tonyu.classes.user.Shot).die();
            _this.all(Tonyu.classes.user.Foe).die();
            if (_this.mode==1) {
              _this.n=0;for (; _this.n<Tonyu.bindFunc(_this,_this.max) ; _this.n++) {
                Tonyu.checkLoop();
                {
                  _this.move(1,_this.sx,_this.sy,- 30,- 30);
                }
              }
              new Tonyu.classes.user.Boss({x: 160,y: - 50,p: Tonyu.globals.$pat_Reimu+0,mode: 2});
              _this.die();
              
            }
            if (_this.mode==3) {
              _this.n=0;for (; _this.n<180 ; _this.n++) {
                Tonyu.checkLoop();
                {
                  if (_this.n%10==0) {
                    Tonyu.globals.$sound.playSE(Tonyu.globals.$se_BBomb_A);
                    _this.dist=_this.rnd(0,80);
                    _this.ra=_this.rnd(0,360);
                    new Tonyu.classes.user.Effect({x: _this.x+_this.cos(_this.ra)*Tonyu.bindFunc(_this,_this.dist),y: _this.y-_this.sin(_this.ra)*Tonyu.bindFunc(_this,_this.dist),p: Tonyu.globals.$pat_Shot+_this.rnd(144,160),scaleX: _this.rndFloat(3,8),rotation: _this.rnd(0,360)});
                    
                  }
                  _this.update();
                }
              }
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_Bomb_B);
              _this.n=0;for (; _this.n<360 ; _this.n+=5) {
                Tonyu.checkLoop();
                {
                  _this.dist=_this.rnd(0,80);
                  _this.ra=_this.rnd(0,360);
                  new Tonyu.classes.user.Effect({x: _this.x+_this.cos(_this.ra)*Tonyu.bindFunc(_this,_this.dist),y: _this.y-_this.sin(_this.ra)*Tonyu.bindFunc(_this,_this.dist),p: Tonyu.globals.$pat_Shot+_this.rnd(144,160),scaleX: _this.rndFloat(3,8),rotation: _this.rnd(0,360)});
                }
              }
              break;
              
              
            }
            if (_this.mode==2) {
              _this.spell="QεD「495年の波紋」";
              Tonyu.globals.$Name=new Tonyu.classes.user.Name({x: 310,y: 500,text: ""+_this.spell,size: 15,align: "right",fillStyle: "white"});
              _this.vHP=0;
              _this.mode=3;
              _this.point=131;
              _this.n=0;for (; _this.n<Tonyu.bindFunc(_this,_this.max) ; _this.n++) {
                Tonyu.checkLoop();
                {
                  _this.move(_this.sx,_this.sy,160,120);
                  _this.update();
                }
              }
              _this.p=_this.pat+3;
              _this.HP=0;for (; _this.HP<1000 ; _this.HP+=20) {
                Tonyu.checkLoop();
                {
                  Tonyu.globals.$panel.setFillStyle(_this.color(255,180,180));
                  Tonyu.globals.$panel.fillRect(20,20,280/1000*_this.HP,5);
                  if (_this.HP==100) {
                    _this.p+=8;
                  }
                  if (_this.HP==200) {
                    _this.p+=8;
                  }
                  _this.update();
                }
              }
              
            }
            
          }
          _this.update();
          
        }
        _this.p=- 1;
        _this.i=0;for (; _this.i<180 ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.update();
          }
        }
        Tonyu.globals.$Clear=1;
        _this.die();
      },
      fiber$main :function _trc_Boss_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var _it_737;
        var _it_738;
        
        _this.AM=[0,8,16];
        _this.AR=[18,26];
        _this.AL=[2,10];
        if (_this.mode==1) {
          _this.pat=Tonyu.globals.$pat_Reimu;
          _this.spell="回霊「夢想封印　詫」";
          
        }
        if (_this.mode==2) {
          _this.pat=Tonyu.globals.$pat_Flandre;
          _this.spell="禁鬼「クランベリートラップ」";
          
        }
        _this.c=0;
        if (_this.mode==2) {
          Tonyu.globals.$sound.playBGMID(2,Tonyu.globals.$se_Flandre,true,0,174861,5343498);
          Tonyu.globals.$sound.setBGMVolumeID(2,0);
          _this.vol=0;for (; _this.vol<255 ; _this.vol+=5) {
            Tonyu.checkLoop();
            {
              Tonyu.globals.$sound.setBGMVolumeID(1,255-_this.vol);
              Tonyu.globals.$sound.setBGMVolumeID(2,_this.vol);
            }
          }
          
        }
        _this.max=60;
        _this.s=- 50;
        _this.g=120;
        
        _thread.enter(function _trc_Boss_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.n=0;
            case 1:
              if (!(_this.n<Tonyu.bindFunc(_this,_this.max))) { __pc=5     ; break; }
              if (_this.n%8==0) {
                _this.c++;
              }
              _this.p=_this.pat+_this.AM[_this.c%3];
              _it_737=Tonyu.iterator(_this.allWithin(Tonyu.classes.user.Bullet,16),1);
              while(_it_737.next()) {
                _this.b=_it_737[0];
                
                _this.b.die();
              }
              _this.fiber$move(_thread, 160, - 50, 160, 120);
              __pc=2;return;
            case 2:
              
              _this.fiber$update(_thread);
              __pc=3;return;
            case 3:
              
            case 4     :
              _this.n++;
              __pc=1;break;
            case 5     :
              
              _this.p=_this.pat+3;
              Tonyu.globals.$Name=new Tonyu.classes.user.Name({x: 310,y: 500,text: ""+_this.spell,size: 15,align: "right",fillStyle: "white"});
              _this.vHP=0;
              _this.HP=0;
            case 6:
              if (!(_this.HP<1000)) { __pc=9     ; break; }
              Tonyu.globals.$panel.setFillStyle(_this.color(255,180,180));
              Tonyu.globals.$panel.fillRect(20,20,280/1000*_this.HP,5);
              if (_this.HP==100) {
                _this.p+=8;
              }
              if (_this.HP==200) {
                _this.p+=8;
              }
              _this.fiber$update(_thread);
              __pc=7;return;
            case 7:
              
            case 8     :
              _this.HP+=20;
              __pc=6;break;
            case 9     :
              
              _this.t=0;
              _this.vc=0;
              _this.i=1;
            case 10:
              _this.vc++;
              if (_this.vc%8==0) {
                _this.c++;
              }
              _this.p=_this.pat+_this.AM[_this.c%8];
              if (Tonyu.globals.$Boot.getMeasuredFps()>50) {
                _this.t++;
              }
              if (_this.vHP>=1) {
                _this.HP--;
                _this.vHP--;
                
              }
              Tonyu.globals.$panel.clearRect(0,0,Tonyu.globals.$screenWidth,Tonyu.globals.$screenHeight);
              Tonyu.globals.$panel.setFillStyle(_this.color(255,180,180));
              Tonyu.globals.$panel.fillRect(20,20,280/1000*_this.HP,5);
              _this.fiber$Atc(_thread);
              __pc=11;return;
            case 11:
              
              _it_738=Tonyu.iterator(_this.allWithin(Tonyu.classes.user.Bullet,16),1);
              while(_it_738.next()) {
                _this.b=_it_738[0];
                
                if (_this.HP>0) {
                  _this.b.die();
                  _this.vHP+=_this.b.atc;
                  
                }
                
              }
              if (!(_this.HP<=0)) { __pc=32    ; break; }
              _this.sx=_this.x;
              _this.sy=_this.y;
              Tonyu.globals.$Name.die();
              _this.all(Tonyu.classes.user.Shot).die();
              _this.all(Tonyu.classes.user.Foe).die();
              if (!(_this.mode==1)) { __pc=16    ; break; }
              _this.n=0;
            case 12:
              if (!(_this.n<Tonyu.bindFunc(_this,_this.max))) { __pc=15    ; break; }
              _this.fiber$move(_thread, 1, _this.sx, _this.sy, - 30, - 30);
              __pc=13;return;
            case 13:
              
            case 14    :
              _this.n++;
              __pc=12;break;
            case 15    :
              
              new Tonyu.classes.user.Boss({x: 160,y: - 50,p: Tonyu.globals.$pat_Reimu+0,mode: 2});
              _this.die();
            case 16    :
              
              if (!(_this.mode==3)) { __pc=21    ; break; }
              _this.n=0;
            case 17:
              if (!(_this.n<180)) { __pc=20    ; break; }
              if (_this.n%10==0) {
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_BBomb_A);
                _this.dist=_this.rnd(0,80);
                _this.ra=_this.rnd(0,360);
                new Tonyu.classes.user.Effect({x: _this.x+_this.cos(_this.ra)*Tonyu.bindFunc(_this,_this.dist),y: _this.y-_this.sin(_this.ra)*Tonyu.bindFunc(_this,_this.dist),p: Tonyu.globals.$pat_Shot+_this.rnd(144,160),scaleX: _this.rndFloat(3,8),rotation: _this.rnd(0,360)});
                
              }
              _this.fiber$update(_thread);
              __pc=18;return;
            case 18:
              
            case 19    :
              _this.n++;
              __pc=17;break;
            case 20    :
              
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_Bomb_B);
              _this.n=0;for (; _this.n<360 ; _this.n+=5) {
                Tonyu.checkLoop();
                {
                  _this.dist=_this.rnd(0,80);
                  _this.ra=_this.rnd(0,360);
                  new Tonyu.classes.user.Effect({x: _this.x+_this.cos(_this.ra)*Tonyu.bindFunc(_this,_this.dist),y: _this.y-_this.sin(_this.ra)*Tonyu.bindFunc(_this,_this.dist),p: Tonyu.globals.$pat_Shot+_this.rnd(144,160),scaleX: _this.rndFloat(3,8),rotation: _this.rnd(0,360)});
                }
              }
              __pc=34    ; break;
              
            case 21    :
              
              if (!(_this.mode==2)) { __pc=31    ; break; }
              _this.spell="QεD「495年の波紋」";
              Tonyu.globals.$Name=new Tonyu.classes.user.Name({x: 310,y: 500,text: ""+_this.spell,size: 15,align: "right",fillStyle: "white"});
              _this.vHP=0;
              _this.mode=3;
              _this.point=131;
              _this.n=0;
            case 22:
              if (!(_this.n<Tonyu.bindFunc(_this,_this.max))) { __pc=26    ; break; }
              _this.fiber$move(_thread, _this.sx, _this.sy, 160, 120);
              __pc=23;return;
            case 23:
              
              _this.fiber$update(_thread);
              __pc=24;return;
            case 24:
              
            case 25    :
              _this.n++;
              __pc=22;break;
            case 26    :
              
              _this.p=_this.pat+3;
              _this.HP=0;
            case 27:
              if (!(_this.HP<1000)) { __pc=30    ; break; }
              Tonyu.globals.$panel.setFillStyle(_this.color(255,180,180));
              Tonyu.globals.$panel.fillRect(20,20,280/1000*_this.HP,5);
              if (_this.HP==100) {
                _this.p+=8;
              }
              if (_this.HP==200) {
                _this.p+=8;
              }
              _this.fiber$update(_thread);
              __pc=28;return;
            case 28:
              
            case 29    :
              _this.HP+=20;
              __pc=27;break;
            case 30    :
              
            case 31    :
              
            case 32    :
              
              _this.fiber$update(_thread);
              __pc=33;return;
            case 33:
              
              __pc=10;break;
            case 34    :
              
              _this.p=- 1;
              _this.i=0;
            case 35:
              if (!(_this.i<180)) { __pc=38    ; break; }
              _this.fiber$update(_thread);
              __pc=36;return;
            case 36:
              
            case 37    :
              _this.i++;
              __pc=35;break;
            case 38    :
              
              Tonyu.globals.$Clear=1;
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      Atc :function _trc_Boss_Atc() {
        "use strict";
        var _this=this;
        
        if (_this.mode==1) {
          _this.p=_this.pat+_this.AM[_this.c%3];
          if (_this.t%61==0) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_Shot);
            _this.t++;
            _this.m=- 2;for (; _this.m<2 ; _this.m+=3) {
              Tonyu.checkLoop();
              {
                _this.n=0;for (; _this.n<360 ; _this.n+=10) {
                  Tonyu.checkLoop();
                  {
                    new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_Shot+47,vrotation: _this.n+13+_this.m,sp: 2});
                  }
                }
                ;
                
              }
            }
            
          }
          if (_this.vc%200<=11*7) {
            _this.p=_this.pat+_this.AM[_this.c%3];
            if (_this.t%11==0) {
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_Shot);
              _this.t++;
              _this.m=0;for (; _this.m<4 ; _this.m++) {
                Tonyu.checkLoop();
                {
                  _this.n=0;for (; _this.n<24 ; _this.n+=8) {
                    Tonyu.checkLoop();
                    {
                      new Tonyu.classes.user.Shot({x: _this.x+_this.cos(_this.t*4.5*_this.i)*30,y: _this.y-_this.sin(_this.t*4.5*_this.i)*30,p: Tonyu.globals.$pat_Shot+81,vrotation: _this.t*4.5*_this.i+30+_this.n,sp: 3+_this.m*2,CF: 10,CF2: 30+_this.m*4,acc: 8,acc2: 2,pat: 82,pat2: 93,stop: 20+_this.m*4,stop2: 20+_this.m*2});
                    }
                  }
                }
              }
              
            }
            
          }
          if (_this.vc%200==106) {
            _this.n=0;
            _this.i=- _this.i;
            _this.sx=_this.x;
            _this.sy=_this.y;
            _this.gx=_this.rnd(30,290);
            _this.gy=_this.rnd(20,120);
            
          }
          if (_this.vc%200>107) {
            if (_this.n<Tonyu.bindFunc(_this,_this.max)) {
              _this.n++;
              _this.move(_this.sx,_this.sy,_this.gx,_this.gy);
              
            }
            
          }
          
        }
        if (_this.mode==2) {
          _this.p=_this.pat+_this.AM[_this.c%3];
          if (_this.vc%100==0) {
            if (_this.i%7==1) {
              new Tonyu.classes.user.Foe({x: 0,y: 0,p: Tonyu.globals.$pat_MCircle+7,gx: 0,gy: 480,mode: 1,max: 45});
              new Tonyu.classes.user.Foe({x: 320,y: 480,p: Tonyu.globals.$pat_MCircle+7,gx: 320,gy: 0,mode: 1,max: 45});
              
            }
            if (_this.i%7==2) {
              new Tonyu.classes.user.Foe({x: 0,y: 480,p: Tonyu.globals.$pat_MCircle+7,gx: 320,gy: 480,mode: 1,max: 45});
              new Tonyu.classes.user.Foe({x: 320,y: 0,p: Tonyu.globals.$pat_MCircle+7,gx: 0,gy: 0,mode: 1,max: 45});
              new Tonyu.classes.user.Foe({x: 0,y: 480,p: Tonyu.globals.$pat_MCircle+7,gx: 0,gy: 0,mode: 2,max: 45});
              new Tonyu.classes.user.Foe({x: 320,y: 0,p: Tonyu.globals.$pat_MCircle+7,gx: 320,gy: 480,mode: 2,max: 45});
              
            }
            if (_this.i%7==3) {
              new Tonyu.classes.user.Foe({x: 0,y: 0,p: Tonyu.globals.$pat_MCircle+7,gx: 320,gy: 0,mode: 2,max: 45});
              new Tonyu.classes.user.Foe({x: 320,y: 480,p: Tonyu.globals.$pat_MCircle+7,gx: 0,gy: 480,mode: 2,max: 45});
              
            }
            if (_this.i%7==4) {
              new Tonyu.classes.user.Foe({x: 0,y: 480,p: Tonyu.globals.$pat_MCircle+7,gx: 320,gy: 480,mode: 1,max: 45});
              new Tonyu.classes.user.Foe({x: 320,y: 0,p: Tonyu.globals.$pat_MCircle+7,gx: 0,gy: 0,mode: 1,max: 45});
              new Tonyu.classes.user.Foe({x: 0,y: 480,p: Tonyu.globals.$pat_MCircle+7,gx: 0,gy: 0,mode: 2,max: 45});
              new Tonyu.classes.user.Foe({x: 320,y: 0,p: Tonyu.globals.$pat_MCircle+7,gx: 320,gy: 480,mode: 2,max: 45});
              
            }
            if (_this.i%7==5) {
              new Tonyu.classes.user.Foe({x: 0,y: 0,p: Tonyu.globals.$pat_MCircle+7,gx: 0,gy: 480,mode: 1,max: 45});
              new Tonyu.classes.user.Foe({x: 320,y: 480,p: Tonyu.globals.$pat_MCircle+7,gx: 320,gy: 0,mode: 1,max: 45});
              new Tonyu.classes.user.Foe({x: 320,y: 0,p: Tonyu.globals.$pat_MCircle+7,gx: 320,gy: 480,mode: 1,max: 45});
              new Tonyu.classes.user.Foe({x: 0,y: 480,p: Tonyu.globals.$pat_MCircle+7,gx: 0,gy: 0,mode: 1,max: 45});
              
            }
            if (_this.i%7==6) {
              new Tonyu.classes.user.Foe({x: 0,y: 0,p: Tonyu.globals.$pat_MCircle+7,gx: 0,gy: 480,mode: 2,max: 45});
              new Tonyu.classes.user.Foe({x: 320,y: 480,p: Tonyu.globals.$pat_MCircle+7,gx: 320,gy: 0,mode: 2,max: 45});
              new Tonyu.classes.user.Foe({x: 320,y: 0,p: Tonyu.globals.$pat_MCircle+7,gx: 320,gy: 480,mode: 2,max: 45});
              new Tonyu.classes.user.Foe({x: 0,y: 480,p: Tonyu.globals.$pat_MCircle+7,gx: 0,gy: 0,mode: 2,max: 45});
              
            }
            _this.i++;
            
          }
          if (_this.vc%200==106) {
            _this.n=0;
            _this.sx=_this.x;
            _this.sy=_this.y;
            _this.gx=_this.rnd(30,290);
            _this.gy=_this.rnd(20,120);
            
          }
          if (_this.vc%200>107) {
            if (_this.n<Tonyu.bindFunc(_this,_this.max)) {
              _this.n++;
              _this.move(_this.sx,_this.sy,_this.gx,_this.gy);
              
            } else {
              _this.p=_this.pat+_this.AM[_this.c%3];
            }
            
          } else {
            _this.p=_this.pat+_this.AM[_this.c%3];
          }
          
        }
        if (_this.mode==3) {
          if (_this.t%_this.point==0) {
            _this.t++;
            _this.col=_this.rnd(160,175);
            _this.vx=_this.rnd(10,310);
            _this.vy=_this.rnd(10,190);
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_Shot);
            _this.i=0;for (; _this.i<360 ; _this.i+=8) {
              Tonyu.checkLoop();
              {
                new Tonyu.classes.user.Shot({x: _this.vx,y: _this.vy,p: Tonyu.globals.$pat_Shot+_this.col,vrotation: _this.i+8,sp: 1.5,bound: 1});
              }
            }
            if (_this.point>41&&_this.HP<500) {
              _this.point-=10;
            }
            
          }
          _this.p=_this.pat+_this.AM[_this.c%3];
          
        }
      },
      fiber$Atc :function _trc_Boss_f_Atc(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_Boss_ent_Atc(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(_this.mode==1)) { __pc=4     ; break; }
              _this.p=_this.pat+_this.AM[_this.c%3];
              if (_this.t%61==0) {
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_Shot);
                _this.t++;
                _this.m=- 2;for (; _this.m<2 ; _this.m+=3) {
                  Tonyu.checkLoop();
                  {
                    _this.n=0;for (; _this.n<360 ; _this.n+=10) {
                      Tonyu.checkLoop();
                      {
                        new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_Shot+47,vrotation: _this.n+13+_this.m,sp: 2});
                      }
                    }
                    ;
                    
                  }
                }
                
              }
              if (_this.vc%200<=11*7) {
                _this.p=_this.pat+_this.AM[_this.c%3];
                if (_this.t%11==0) {
                  Tonyu.globals.$sound.playSE(Tonyu.globals.$se_Shot);
                  _this.t++;
                  _this.m=0;for (; _this.m<4 ; _this.m++) {
                    Tonyu.checkLoop();
                    {
                      _this.n=0;for (; _this.n<24 ; _this.n+=8) {
                        Tonyu.checkLoop();
                        {
                          new Tonyu.classes.user.Shot({x: _this.x+_this.cos(_this.t*4.5*_this.i)*30,y: _this.y-_this.sin(_this.t*4.5*_this.i)*30,p: Tonyu.globals.$pat_Shot+81,vrotation: _this.t*4.5*_this.i+30+_this.n,sp: 3+_this.m*2,CF: 10,CF2: 30+_this.m*4,acc: 8,acc2: 2,pat: 82,pat2: 93,stop: 20+_this.m*4,stop2: 20+_this.m*2});
                        }
                      }
                    }
                  }
                  
                }
                
              }
              if (_this.vc%200==106) {
                _this.n=0;
                _this.i=- _this.i;
                _this.sx=_this.x;
                _this.sy=_this.y;
                _this.gx=_this.rnd(30,290);
                _this.gy=_this.rnd(20,120);
                
              }
              if (!(_this.vc%200>107)) { __pc=3     ; break; }
              if (!(_this.n<Tonyu.bindFunc(_this,_this.max))) { __pc=2     ; break; }
              _this.n++;
              _this.fiber$move(_thread, _this.sx, _this.sy, _this.gx, _this.gy);
              __pc=1;return;
            case 1:
              
            case 2     :
              
            case 3     :
              
            case 4     :
              
              if (!(_this.mode==2)) { __pc=10    ; break; }
              _this.p=_this.pat+_this.AM[_this.c%3];
              if (_this.vc%100==0) {
                if (_this.i%7==1) {
                  new Tonyu.classes.user.Foe({x: 0,y: 0,p: Tonyu.globals.$pat_MCircle+7,gx: 0,gy: 480,mode: 1,max: 45});
                  new Tonyu.classes.user.Foe({x: 320,y: 480,p: Tonyu.globals.$pat_MCircle+7,gx: 320,gy: 0,mode: 1,max: 45});
                  
                }
                if (_this.i%7==2) {
                  new Tonyu.classes.user.Foe({x: 0,y: 480,p: Tonyu.globals.$pat_MCircle+7,gx: 320,gy: 480,mode: 1,max: 45});
                  new Tonyu.classes.user.Foe({x: 320,y: 0,p: Tonyu.globals.$pat_MCircle+7,gx: 0,gy: 0,mode: 1,max: 45});
                  new Tonyu.classes.user.Foe({x: 0,y: 480,p: Tonyu.globals.$pat_MCircle+7,gx: 0,gy: 0,mode: 2,max: 45});
                  new Tonyu.classes.user.Foe({x: 320,y: 0,p: Tonyu.globals.$pat_MCircle+7,gx: 320,gy: 480,mode: 2,max: 45});
                  
                }
                if (_this.i%7==3) {
                  new Tonyu.classes.user.Foe({x: 0,y: 0,p: Tonyu.globals.$pat_MCircle+7,gx: 320,gy: 0,mode: 2,max: 45});
                  new Tonyu.classes.user.Foe({x: 320,y: 480,p: Tonyu.globals.$pat_MCircle+7,gx: 0,gy: 480,mode: 2,max: 45});
                  
                }
                if (_this.i%7==4) {
                  new Tonyu.classes.user.Foe({x: 0,y: 480,p: Tonyu.globals.$pat_MCircle+7,gx: 320,gy: 480,mode: 1,max: 45});
                  new Tonyu.classes.user.Foe({x: 320,y: 0,p: Tonyu.globals.$pat_MCircle+7,gx: 0,gy: 0,mode: 1,max: 45});
                  new Tonyu.classes.user.Foe({x: 0,y: 480,p: Tonyu.globals.$pat_MCircle+7,gx: 0,gy: 0,mode: 2,max: 45});
                  new Tonyu.classes.user.Foe({x: 320,y: 0,p: Tonyu.globals.$pat_MCircle+7,gx: 320,gy: 480,mode: 2,max: 45});
                  
                }
                if (_this.i%7==5) {
                  new Tonyu.classes.user.Foe({x: 0,y: 0,p: Tonyu.globals.$pat_MCircle+7,gx: 0,gy: 480,mode: 1,max: 45});
                  new Tonyu.classes.user.Foe({x: 320,y: 480,p: Tonyu.globals.$pat_MCircle+7,gx: 320,gy: 0,mode: 1,max: 45});
                  new Tonyu.classes.user.Foe({x: 320,y: 0,p: Tonyu.globals.$pat_MCircle+7,gx: 320,gy: 480,mode: 1,max: 45});
                  new Tonyu.classes.user.Foe({x: 0,y: 480,p: Tonyu.globals.$pat_MCircle+7,gx: 0,gy: 0,mode: 1,max: 45});
                  
                }
                if (_this.i%7==6) {
                  new Tonyu.classes.user.Foe({x: 0,y: 0,p: Tonyu.globals.$pat_MCircle+7,gx: 0,gy: 480,mode: 2,max: 45});
                  new Tonyu.classes.user.Foe({x: 320,y: 480,p: Tonyu.globals.$pat_MCircle+7,gx: 320,gy: 0,mode: 2,max: 45});
                  new Tonyu.classes.user.Foe({x: 320,y: 0,p: Tonyu.globals.$pat_MCircle+7,gx: 320,gy: 480,mode: 2,max: 45});
                  new Tonyu.classes.user.Foe({x: 0,y: 480,p: Tonyu.globals.$pat_MCircle+7,gx: 0,gy: 0,mode: 2,max: 45});
                  
                }
                _this.i++;
                
              }
              if (_this.vc%200==106) {
                _this.n=0;
                _this.sx=_this.x;
                _this.sy=_this.y;
                _this.gx=_this.rnd(30,290);
                _this.gy=_this.rnd(20,120);
                
              }
              if (!(_this.vc%200>107)) { __pc=8     ; break; }
              if (!(_this.n<Tonyu.bindFunc(_this,_this.max))) { __pc=6     ; break; }
              _this.n++;
              _this.fiber$move(_thread, _this.sx, _this.sy, _this.gx, _this.gy);
              __pc=5;return;
            case 5:
              
              __pc=7     ;break;
            case 6     :
              _this.p=_this.pat+_this.AM[_this.c%3];
            case 7     :
              
              __pc=9     ;break;
            case 8     :
              _this.p=_this.pat+_this.AM[_this.c%3];
            case 9     :
              
            case 10    :
              
              if (_this.mode==3) {
                if (_this.t%_this.point==0) {
                  _this.t++;
                  _this.col=_this.rnd(160,175);
                  _this.vx=_this.rnd(10,310);
                  _this.vy=_this.rnd(10,190);
                  Tonyu.globals.$sound.playSE(Tonyu.globals.$se_Shot);
                  _this.i=0;for (; _this.i<360 ; _this.i+=8) {
                    Tonyu.checkLoop();
                    {
                      new Tonyu.classes.user.Shot({x: _this.vx,y: _this.vy,p: Tonyu.globals.$pat_Shot+_this.col,vrotation: _this.i+8,sp: 1.5,bound: 1});
                    }
                  }
                  if (_this.point>41&&_this.HP<500) {
                    _this.point-=10;
                  }
                  
                }
                _this.p=_this.pat+_this.AM[_this.c%3];
                
              }
              _thread.exit(_this);return;
            }
          }
        });
      },
      move :function _trc_Boss_move(sx,sy,gx,gy) {
        "use strict";
        var _this=this;
        
        if (sx<gx) {
          _this.p=_this.pat+_this.AR[_this.c%2];
        } else {
          _this.p=_this.pat+_this.AL[_this.c%2];
        }
        _this.x=sx+(gx-sx)*((Tonyu.bindFunc(_this,_this.max)*2-_this.n+1)*_this.n/2)/((Tonyu.bindFunc(_this,_this.max)+1)*Tonyu.bindFunc(_this,_this.max)/2);
        _this.y=sy+(gy-sy)*((Tonyu.bindFunc(_this,_this.max)*2-_this.n+1)*_this.n/2)/((Tonyu.bindFunc(_this,_this.max)+1)*Tonyu.bindFunc(_this,_this.max)/2);
      },
      fiber$move :function _trc_Boss_f_move(_thread,sx,sy,gx,gy) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (sx<gx) {
          _this.p=_this.pat+_this.AR[_this.c%2];
        } else {
          _this.p=_this.pat+_this.AL[_this.c%2];
        }
        _this.x=sx+(gx-sx)*((Tonyu.bindFunc(_this,_this.max)*2-_this.n+1)*_this.n/2)/((Tonyu.bindFunc(_this,_this.max)+1)*Tonyu.bindFunc(_this,_this.max)/2);
        _this.y=sy+(gy-sy)*((Tonyu.bindFunc(_this,_this.max)*2-_this.n+1)*_this.n/2)/((Tonyu.bindFunc(_this,_this.max)+1)*Tonyu.bindFunc(_this,_this.max)/2);
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"Atc":{"nowait":false},"move":{"nowait":false}},"fields":{"AM":{},"AR":{},"AL":{},"mode":{},"pat":{},"spell":{},"c":{},"vol":{},"s":{},"g":{},"n":{},"b":{},"vHP":{},"HP":{},"t":{},"vc":{},"i":{},"sx":{},"sy":{},"ra":{},"point":{},"m":{},"gx":{},"gy":{},"col":{},"vx":{},"vy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Bullet',
  shortName: 'Bullet',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Bullet_main() {
        "use strict";
        var _this=this;
        var _it_741;
        var _it_742;
        
        _this.t=300;
        _this.vangle=90;
        _this.sp=- 3;
        while (true) {
          Tonyu.checkLoop();
          if (_this.p==Tonyu.globals.$pat_Bullet) {
            _this.y-=15;
            if (_this.screenOut()>=10) {
              _this.die();
            }
            
          }
          if (_this.p==Tonyu.globals.$pat_Bullet+1) {
            if (_this.screenOut()>=100) {
              _this.die();
            }
            _it_741=Tonyu.iterator(_this.allWithin(Tonyu.classes.user.Enemy,500),1);
            while(_it_741.next()) {
              _this.e=_it_741[0];
              
              if (_this.e.HP>0) {
                _this.vangle=- _this.atanxy(_this.e.x-_this.x,_this.e.y-_this.y);
              }
              
            }
            _it_742=Tonyu.iterator(_this.allWithin(Tonyu.classes.user.Boss,500),1);
            while(_it_742.next()) {
              _this.e=_it_742[0];
              
              if (_this.e.HP>0) {
                _this.vangle=- _this.atanxy(_this.e.x-_this.x,_this.e.y-_this.y);
              }
              
            }
            if (_this.sp<8) {
              _this.sp+=0.2;
            }
            _this.x+=_this.cos(_this.vangle)*_this.sp;
            _this.y-=_this.sin(_this.vangle)*_this.sp;
            _this.t--;
            if (_this.t<0) {
              _this.die();
            }
            _this.rotation+=12;
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Bullet_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var _it_741;
        var _it_742;
        
        _this.t=300;
        _this.vangle=90;
        _this.sp=- 3;
        
        _thread.enter(function _trc_Bullet_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (_this.p==Tonyu.globals.$pat_Bullet) {
                _this.y-=15;
                if (_this.screenOut()>=10) {
                  _this.die();
                }
                
              }
              if (_this.p==Tonyu.globals.$pat_Bullet+1) {
                if (_this.screenOut()>=100) {
                  _this.die();
                }
                _it_741=Tonyu.iterator(_this.allWithin(Tonyu.classes.user.Enemy,500),1);
                while(_it_741.next()) {
                  _this.e=_it_741[0];
                  
                  if (_this.e.HP>0) {
                    _this.vangle=- _this.atanxy(_this.e.x-_this.x,_this.e.y-_this.y);
                  }
                  
                }
                _it_742=Tonyu.iterator(_this.allWithin(Tonyu.classes.user.Boss,500),1);
                while(_it_742.next()) {
                  _this.e=_it_742[0];
                  
                  if (_this.e.HP>0) {
                    _this.vangle=- _this.atanxy(_this.e.x-_this.x,_this.e.y-_this.y);
                  }
                  
                }
                if (_this.sp<8) {
                  _this.sp+=0.2;
                }
                _this.x+=_this.cos(_this.vangle)*_this.sp;
                _this.y-=_this.sin(_this.vangle)*_this.sp;
                _this.t--;
                if (_this.t<0) {
                  _this.die();
                }
                _this.rotation+=12;
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"t":{},"vangle":{},"sp":{},"e":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Effect',
  shortName: 'Effect',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Effect_main() {
        "use strict";
        var _this=this;
        
        while (true) {
          Tonyu.checkLoop();
          if (_this.p>=Tonyu.globals.$pat_Effect+0&&_this.p<=Tonyu.globals.$pat_Effect+7) {
            _this.alpha-=5;
            _this.updateEx(3);
            _this.p++;
            if (_this.p==Tonyu.globals.$pat_Effect+7) {
              _this.die();
            }
            
          }
          if (_this.p>=Tonyu.globals.$pat_Effect+8&&_this.p<=Tonyu.globals.$pat_Effect+15) {
            _this.alpha-=5;
            _this.updateEx(3);
            _this.p++;
            if (_this.p==Tonyu.globals.$pat_Effect+15) {
              _this.die();
            }
            
          }
          if (_this.p>=Tonyu.globals.$pat_MCircle&&_this.p<=Tonyu.globals.$pat_MCircle+15) {
            _this.scaleX-=0.025;
            _this.alpha-=10;
            _this.rotation+=8;
            if (_this.scaleX<=0) {
              _this.die();
            }
            
          }
          if (_this.p>=Tonyu.globals.$pat_Shot+144&&_this.p<=Tonyu.globals.$pat_Shot+159) {
            _this.scaleX+=0.1;
            _this.alpha-=10;
            _this.x+=_this.cos(_this.rotation)*8;
            _this.y-=_this.sin(_this.rotation)*8;
            if (_this.alpha<0) {
              _this.die();
            }
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Effect_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_Effect_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(_this.p>=Tonyu.globals.$pat_Effect+0&&_this.p<=Tonyu.globals.$pat_Effect+7)) { __pc=3     ; break; }
              _this.alpha-=5;
              _this.fiber$updateEx(_thread, 3);
              __pc=2;return;
            case 2:
              
              _this.p++;
              if (_this.p==Tonyu.globals.$pat_Effect+7) {
                _this.die();
              }
            case 3     :
              
              if (!(_this.p>=Tonyu.globals.$pat_Effect+8&&_this.p<=Tonyu.globals.$pat_Effect+15)) { __pc=5     ; break; }
              _this.alpha-=5;
              _this.fiber$updateEx(_thread, 3);
              __pc=4;return;
            case 4:
              
              _this.p++;
              if (_this.p==Tonyu.globals.$pat_Effect+15) {
                _this.die();
              }
            case 5     :
              
              if (_this.p>=Tonyu.globals.$pat_MCircle&&_this.p<=Tonyu.globals.$pat_MCircle+15) {
                _this.scaleX-=0.025;
                _this.alpha-=10;
                _this.rotation+=8;
                if (_this.scaleX<=0) {
                  _this.die();
                }
                
              }
              if (_this.p>=Tonyu.globals.$pat_Shot+144&&_this.p<=Tonyu.globals.$pat_Shot+159) {
                _this.scaleX+=0.1;
                _this.alpha-=10;
                _this.x+=_this.cos(_this.rotation)*8;
                _this.y-=_this.sin(_this.rotation)*8;
                if (_this.alpha<0) {
                  _this.die();
                }
                
              }
              _this.fiber$update(_thread);
              __pc=6;return;
            case 6:
              
              __pc=1;break;
            case 7     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Enemy',
  shortName: 'Enemy',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Enemy_main() {
        "use strict";
        var _this=this;
        
        _this.vHP=_this.HP;
        _this.t=0;
        _this.c=0;
        _this.n=0;
        _this.vc=0;
        if (_this.mode==2||_this.mode==4) {
          _this.s=- 30;
          _this.g=120;
          
        }
        _this.RM=[0,1,2];
        _this.RL=[8,9,10,11];
        _this.RR=[12,13,14,15];
        _this.BM=[16,17,18];
        _this.BL=[24,25,26,27];
        _this.BR=[28,29,30,31];
        _this.GM=[32,33,34];
        _this.GL=[40,41,42,43];
        _this.GR=[44,45,46,47];
        if (_this.p>=Tonyu.globals.$pat_Yousei+0&&_this.p<=Tonyu.globals.$pat_Yousei+15) {
          _this.mpat=0;
        }
        if (_this.p>=Tonyu.globals.$pat_Yousei+16&&_this.p<=Tonyu.globals.$pat_Yousei+31) {
          _this.mpat=5;
        }
        if (_this.p>=Tonyu.globals.$pat_Yousei+32&&_this.p<=Tonyu.globals.$pat_Yousei+47) {
          _this.mpat=3;
        }
        while (true) {
          Tonyu.checkLoop();
          _this.vc++;
          if (_this.vc%5==0) {
            _this.c++;
          }
          if (_this.vHP>=100) {
            _this.drawDxSprite(_this.x,_this.y,Tonyu.globals.$pat_MCircle+_this.mpat,0,255,_this.vc*3);
          }
          if (_this.screenOut()>100) {
            _this.die();
          }
          if (Tonyu.globals.$Boot.getMeasuredFps()>57) {
            _this.t++;
          }
          _this.attack();
          _this.b=_this.crashTo(Tonyu.classes.user.Bullet);
          if (_this.b&&_this.HP>0) {
            _this.b.die();
            _this.HP-=_this.b.atc;
            
          }
          if (_this.HP<=0) {
            Tonyu.globals.$EDead++;
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_EBomb);
            new Tonyu.classes.user.Effect({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_MCircle+_this.mpat,scaleX: 0.5});
            _this.die();
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Enemy_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.vHP=_this.HP;
        _this.t=0;
        _this.c=0;
        _this.n=0;
        _this.vc=0;
        if (_this.mode==2||_this.mode==4) {
          _this.s=- 30;
          _this.g=120;
          
        }
        _this.RM=[0,1,2];
        _this.RL=[8,9,10,11];
        _this.RR=[12,13,14,15];
        _this.BM=[16,17,18];
        _this.BL=[24,25,26,27];
        _this.BR=[28,29,30,31];
        _this.GM=[32,33,34];
        _this.GL=[40,41,42,43];
        _this.GR=[44,45,46,47];
        if (_this.p>=Tonyu.globals.$pat_Yousei+0&&_this.p<=Tonyu.globals.$pat_Yousei+15) {
          _this.mpat=0;
        }
        if (_this.p>=Tonyu.globals.$pat_Yousei+16&&_this.p<=Tonyu.globals.$pat_Yousei+31) {
          _this.mpat=5;
        }
        if (_this.p>=Tonyu.globals.$pat_Yousei+32&&_this.p<=Tonyu.globals.$pat_Yousei+47) {
          _this.mpat=3;
        }
        
        _thread.enter(function _trc_Enemy_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.vc++;
              if (_this.vc%5==0) {
                _this.c++;
              }
              if (_this.vHP>=100) {
                _this.drawDxSprite(_this.x,_this.y,Tonyu.globals.$pat_MCircle+_this.mpat,0,255,_this.vc*3);
              }
              if (_this.screenOut()>100) {
                _this.die();
              }
              if (Tonyu.globals.$Boot.getMeasuredFps()>57) {
                _this.t++;
              }
              _this.fiber$attack(_thread);
              __pc=2;return;
            case 2:
              
              _this.b=_this.crashTo(Tonyu.classes.user.Bullet);
              if (_this.b&&_this.HP>0) {
                _this.b.die();
                _this.HP-=_this.b.atc;
                
              }
              if (_this.HP<=0) {
                Tonyu.globals.$EDead++;
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_EBomb);
                new Tonyu.classes.user.Effect({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_MCircle+_this.mpat,scaleX: 0.5});
                _this.die();
                
              }
              _this.fiber$update(_thread);
              __pc=3;return;
            case 3:
              
              __pc=1;break;
            case 4     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      move :function _trc_Enemy_move(s,g) {
        "use strict";
        var _this=this;
        
        _this.n++;
        _this.max=60;
        if (_this.mode%2==0) {
          _this.y=s+(g-s)*((Tonyu.bindFunc(_this,_this.max)*2-_this.n+1)*_this.n/2)/((Tonyu.bindFunc(_this,_this.max)+1)*Tonyu.bindFunc(_this,_this.max)/2);
          
        } else {
          _this.x+=_this.cos(_this.r)*s;
          _this.y+=- _this.sin(_this.r)*g;
          
        }
      },
      fiber$move :function _trc_Enemy_f_move(_thread,s,g) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.n++;
        _this.max=60;
        if (_this.mode%2==0) {
          _this.y=s+(g-s)*((Tonyu.bindFunc(_this,_this.max)*2-_this.n+1)*_this.n/2)/((Tonyu.bindFunc(_this,_this.max)+1)*Tonyu.bindFunc(_this,_this.max)/2);
          
        } else {
          _this.x+=_this.cos(_this.r)*s;
          _this.y+=- _this.sin(_this.r)*g;
          
        }
        
        _thread.retVal=_this;return;
      },
      attack :function _trc_Enemy_attack() {
        "use strict";
        var _this=this;
        
        if (_this.mode==1) {
          if (_this.vc<45) {
            _this.r=270;
            _this.p=Tonyu.globals.$pat_Yousei+_this.BM[_this.c%3];
            
          }
          if (_this.vc>=45) {
            if (_this.vr>0) {
              _this.p=Tonyu.globals.$pat_Yousei+_this.BR[_this.c%4];
            } else {
              _this.p=Tonyu.globals.$pat_Yousei+_this.BL[_this.c%4];
            }
            if (_this.r>=180&&_this.r<=360) {
              _this.r+=_this.vr;
            }
            
          }
          if (_this.t%46==0) {
            _this.t++;
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_Shot);
            _this.vrotation=- _this.atanxy(Tonyu.globals.$player.x-_this.x,Tonyu.globals.$player.y-_this.y);
            new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_Shot+155,vrotation: _this.vrotation,sp: 3});
            
          }
          _this.move(3,3);
          
        }
        if (_this.mode==2) {
          _this.p=Tonyu.globals.$pat_Yousei+_this.RM[_this.c%3];
          if (_this.vc>=60&&_this.vc<210) {
            if (_this.t%15==7) {
              _this.t++;
              _this.vr=_this.rnd(0,15);
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_Shot);
              _this.n=0;for (; _this.n<360 ; _this.n+=20) {
                Tonyu.checkLoop();
                {
                  _this.m=- 2;for (; _this.m<4 ; _this.m+=2) {
                    Tonyu.checkLoop();
                    {
                      new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_Shot+66,vrotation: _this.n+_this.vr+_this.m+15,sp: 4});
                    }
                  }
                }
              }
              
            }
            
          } else {
            if (_this.vc==210) {
              _this.n=0;
            }
            if (_this.vc>=210) {
              _this.move(120,- 80);
            } else {
              _this.move(- 80,120);
            }
            
          }
          if (_this.vc==270) {
            _this.die();
          }
          
        }
        if (_this.mode==3) {
          if (_this.r>270) {
            _this.p=Tonyu.globals.$pat_Yousei+_this.BR[_this.c%4];
          } else {
            _this.p=Tonyu.globals.$pat_Yousei+_this.BL[_this.c%4];
          }
          if (_this.t%46==0) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_Shot);
            _this.t++;
            _this.n=0;for (; _this.n<360 ; _this.n+=45) {
              Tonyu.checkLoop();
              {
                new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_Shot+14,vrotation: _this.n+45,sp: 0.3,angle: _this.n,acc: 5,CF: 60});
              }
            }
            
          }
          _this.move(1.5,1.5);
          
        }
        if (_this.mode==4) {
          _this.p=Tonyu.globals.$pat_Yousei+_this.GM[_this.c%3];
          if (_this.vc>=60&&_this.vc<=80) {
            if (_this.t%5==0) {
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_Shot);
              _this.t++;
              _this.vrad=_this.rnd(0,360);
              _this.n=0;for (; _this.n<1 ; _this.n+=0.2) {
                Tonyu.checkLoop();
                {
                  _this.m=0;for (; _this.m<360 ; _this.m+=45) {
                    Tonyu.checkLoop();
                    {
                      new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_Shot+136,vrotation: _this.vrad+1,sp: 2,CF: 30,stop: 30+_this.n*3,angle: _this.m+45+_this.vrad,acc: 5+_this.n*2,pat: 120});
                    }
                  }
                }
              }
              
            }
            
          } else {
            if (_this.vc==81) {
              _this.n=0;
            }
            if (_this.vc>=81) {
              _this.move(120,- 80);
            } else {
              _this.move(- 80,120);
            }
            
          }
          if (_this.vc==141) {
            _this.die();
          }
          
        }
      },
      fiber$attack :function _trc_Enemy_f_attack(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_Enemy_ent_attack(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(_this.mode==1)) { __pc=2     ; break; }
              if (_this.vc<45) {
                _this.r=270;
                _this.p=Tonyu.globals.$pat_Yousei+_this.BM[_this.c%3];
                
              }
              if (_this.vc>=45) {
                if (_this.vr>0) {
                  _this.p=Tonyu.globals.$pat_Yousei+_this.BR[_this.c%4];
                } else {
                  _this.p=Tonyu.globals.$pat_Yousei+_this.BL[_this.c%4];
                }
                if (_this.r>=180&&_this.r<=360) {
                  _this.r+=_this.vr;
                }
                
              }
              if (_this.t%46==0) {
                _this.t++;
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_Shot);
                _this.vrotation=- _this.atanxy(Tonyu.globals.$player.x-_this.x,Tonyu.globals.$player.y-_this.y);
                new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_Shot+155,vrotation: _this.vrotation,sp: 3});
                
              }
              _this.fiber$move(_thread, 3, 3);
              __pc=1;return;
            case 1:
              
            case 2     :
              
              if (!(_this.mode==2)) { __pc=9     ; break; }
              _this.p=Tonyu.globals.$pat_Yousei+_this.RM[_this.c%3];
              if (!(_this.vc>=60&&_this.vc<210)) { __pc=3     ; break; }
              {
                if (_this.t%15==7) {
                  _this.t++;
                  _this.vr=_this.rnd(0,15);
                  Tonyu.globals.$sound.playSE(Tonyu.globals.$se_Shot);
                  _this.n=0;for (; _this.n<360 ; _this.n+=20) {
                    Tonyu.checkLoop();
                    {
                      _this.m=- 2;for (; _this.m<4 ; _this.m+=2) {
                        Tonyu.checkLoop();
                        {
                          new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_Shot+66,vrotation: _this.n+_this.vr+_this.m+15,sp: 4});
                        }
                      }
                    }
                  }
                  
                }
              }
              __pc=8     ;break;
            case 3     :
              if (_this.vc==210) {
                _this.n=0;
              }
              if (!(_this.vc>=210)) { __pc=5     ; break; }
              _this.fiber$move(_thread, 120, - 80);
              __pc=4;return;
            case 4:
              
              __pc=7     ;break;
            case 5     :
              _this.fiber$move(_thread, - 80, 120);
              __pc=6;return;
            case 6:
              
            case 7     :
              
            case 8     :
              
              if (_this.vc==270) {
                _this.die();
              }
            case 9     :
              
              if (!(_this.mode==3)) { __pc=11    ; break; }
              if (_this.r>270) {
                _this.p=Tonyu.globals.$pat_Yousei+_this.BR[_this.c%4];
              } else {
                _this.p=Tonyu.globals.$pat_Yousei+_this.BL[_this.c%4];
              }
              if (_this.t%46==0) {
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_Shot);
                _this.t++;
                _this.n=0;for (; _this.n<360 ; _this.n+=45) {
                  Tonyu.checkLoop();
                  {
                    new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_Shot+14,vrotation: _this.n+45,sp: 0.3,angle: _this.n,acc: 5,CF: 60});
                  }
                }
                
              }
              _this.fiber$move(_thread, 1.5, 1.5);
              __pc=10;return;
            case 10:
              
            case 11    :
              
              if (!(_this.mode==4)) { __pc=18    ; break; }
              _this.p=Tonyu.globals.$pat_Yousei+_this.GM[_this.c%3];
              if (!(_this.vc>=60&&_this.vc<=80)) { __pc=12    ; break; }
              {
                if (_this.t%5==0) {
                  Tonyu.globals.$sound.playSE(Tonyu.globals.$se_Shot);
                  _this.t++;
                  _this.vrad=_this.rnd(0,360);
                  _this.n=0;for (; _this.n<1 ; _this.n+=0.2) {
                    Tonyu.checkLoop();
                    {
                      _this.m=0;for (; _this.m<360 ; _this.m+=45) {
                        Tonyu.checkLoop();
                        {
                          new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_Shot+136,vrotation: _this.vrad+1,sp: 2,CF: 30,stop: 30+_this.n*3,angle: _this.m+45+_this.vrad,acc: 5+_this.n*2,pat: 120});
                        }
                      }
                    }
                  }
                  
                }
              }
              __pc=17    ;break;
            case 12    :
              if (_this.vc==81) {
                _this.n=0;
              }
              if (!(_this.vc>=81)) { __pc=14    ; break; }
              _this.fiber$move(_thread, 120, - 80);
              __pc=13;return;
            case 13:
              
              __pc=16    ;break;
            case 14    :
              _this.fiber$move(_thread, - 80, 120);
              __pc=15;return;
            case 15:
              
            case 16    :
              
            case 17    :
              
              if (_this.vc==141) {
                _this.die();
              }
            case 18    :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"move":{"nowait":false},"attack":{"nowait":false}},"fields":{"vHP":{},"HP":{},"t":{},"c":{},"n":{},"vc":{},"mode":{},"s":{},"g":{},"RM":{},"RL":{},"RR":{},"BM":{},"BL":{},"BR":{},"GM":{},"GL":{},"GR":{},"mpat":{},"b":{},"r":{},"vr":{},"vrotation":{},"m":{},"vrad":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Foe',
  shortName: 'Foe',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Foe_main() {
        "use strict";
        var _this=this;
        
        _this.scaleX=0;for (; _this.scaleX<0.5 ; _this.scaleX+=0.05) {
          Tonyu.checkLoop();
          {
            _this.update();
          }
        }
        _this.sx=_this.x;
        _this.sy=_this.y;
        _this.n=0;
        _this.t=0;
        while (true) {
          Tonyu.checkLoop();
          _this.n++;
          if (Tonyu.globals.$Boot.getMeasuredFps()>50) {
            _this.t++;
          }
          if (_this.n<Tonyu.bindFunc(_this,_this.max)) {
            _this.x=_this.sx+(_this.gx-_this.sx)*((Tonyu.bindFunc(_this,_this.max)*2-_this.n+1)*_this.n/2)/((Tonyu.bindFunc(_this,_this.max)+1)*Tonyu.bindFunc(_this,_this.max)/2);
            _this.y=_this.sy+(_this.gy-_this.sy)*((Tonyu.bindFunc(_this,_this.max)*2-_this.n+1)*_this.n/2)/((Tonyu.bindFunc(_this,_this.max)+1)*Tonyu.bindFunc(_this,_this.max)/2);
            
          } else {
            break;
            
          }
          if (_this.t%6==0) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_Shot);
            _this.t++;
            if (_this.mode==1) {
              new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_Shot+46,vrotation: - _this.atanxy(160-_this.x,240-_this.y),sp: 1});
              
            }
            if (_this.mode==2) {
              _this.vrotation=- _this.atanxy(Tonyu.globals.$player.x-_this.x,Tonyu.globals.$player.y-_this.y);
              new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_Shot+44,vrotation: _this.vrotation,sp: 1});
              
            }
            
          }
          _this.update();
          
        }
        _this.scaleX=0.5;for (; _this.scaleX>0 ; _this.scaleX-=0.05) {
          Tonyu.checkLoop();
          {
            _this.update();
          }
        }
        _this.die();
      },
      fiber$main :function _trc_Foe_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_Foe_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.scaleX=0;
            case 1:
              if (!(_this.scaleX<0.5)) { __pc=4     ; break; }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
            case 3     :
              _this.scaleX+=0.05;
              __pc=1;break;
            case 4     :
              
              _this.sx=_this.x;
              _this.sy=_this.y;
              _this.n=0;
              _this.t=0;
            case 5:
              _this.n++;
              if (Tonyu.globals.$Boot.getMeasuredFps()>50) {
                _this.t++;
              }
              if (!(_this.n<Tonyu.bindFunc(_this,_this.max))) { __pc=6     ; break; }
              {
                _this.x=_this.sx+(_this.gx-_this.sx)*((Tonyu.bindFunc(_this,_this.max)*2-_this.n+1)*_this.n/2)/((Tonyu.bindFunc(_this,_this.max)+1)*Tonyu.bindFunc(_this,_this.max)/2);
                _this.y=_this.sy+(_this.gy-_this.sy)*((Tonyu.bindFunc(_this,_this.max)*2-_this.n+1)*_this.n/2)/((Tonyu.bindFunc(_this,_this.max)+1)*Tonyu.bindFunc(_this,_this.max)/2);
              }
              __pc=7     ;break;
            case 6     :
              __pc=9     ; break;
              
            case 7     :
              
              if (_this.t%6==0) {
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_Shot);
                _this.t++;
                if (_this.mode==1) {
                  new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_Shot+46,vrotation: - _this.atanxy(160-_this.x,240-_this.y),sp: 1});
                  
                }
                if (_this.mode==2) {
                  _this.vrotation=- _this.atanxy(Tonyu.globals.$player.x-_this.x,Tonyu.globals.$player.y-_this.y);
                  new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_Shot+44,vrotation: _this.vrotation,sp: 1});
                  
                }
                
              }
              _this.fiber$update(_thread);
              __pc=8;return;
            case 8:
              
              __pc=5;break;
            case 9     :
              
              _this.scaleX=0.5;
            case 10:
              if (!(_this.scaleX>0)) { __pc=13    ; break; }
              _this.fiber$update(_thread);
              __pc=11;return;
            case 11:
              
            case 12    :
              _this.scaleX-=0.05;
              __pc=10;break;
            case 13    :
              
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"sx":{},"sy":{},"n":{},"t":{},"gx":{},"gy":{},"mode":{},"vrotation":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$uiScreen.setBGColor("Gray");
        Tonyu.globals.$Screen.setBGColor("Black");
        Tonyu.globals.$Screen.resize(320,480);
        Tonyu.globals.$screenWidth=320;
        Tonyu.globals.$screenHeight=480;
        Tonyu.globals.$crash=0;
        Tonyu.globals.$time=0;
        Tonyu.globals.$Clear=0;
        Tonyu.globals.$sound.setSEMasterVolume(10);
        Tonyu.globals.$Text1=new Tonyu.classes.kernel.Label({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2-30,text: "Please touche this screen"});
        Tonyu.globals.$Text2=new Tonyu.classes.kernel.Label({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2,text: "or"});
        Tonyu.globals.$Text3=new Tonyu.classes.kernel.Label({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2+30,text: "push a Z-key!"});
        while (! Tonyu.globals.$touches[0].touched&&! _this.getkey(90)) {
          Tonyu.checkLoop();
          _this.p=Tonyu.globals.$pat_Credit;
          _this.x=160;
          _this.y=380;
          _this.scaleX=0.85;
          _this.update();
          _this.drawSprite(_this.x,_this.y+80,Tonyu.globals.$pat_Credit2);
          
        }
        _this.p=- 1;
        Tonyu.globals.$Text1.die();
        Tonyu.globals.$Text2.die();
        Tonyu.globals.$Text3.die();
        Tonyu.globals.$player=new Tonyu.classes.user.Player({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/5*4});
        _this.t=0;
        _this.ECount=0;
        Tonyu.globals.$EDead=0;
        Tonyu.globals.$sound.playBGMID(1,Tonyu.globals.$se_Reimu,true,0,600758,5851011);
        Tonyu.globals.$sound.setBGMVolumeID(1,255);
        while (Tonyu.globals.$Boot.getMeasuredFps()<58) {
          Tonyu.checkLoop();
          _this.update();
          
        }
        while (true) {
          Tonyu.checkLoop();
          _this.t++;
          if (_this.ECount<40) {
            if (_this.t%80==0) {
              _this.ECount+=2;
              new Tonyu.classes.user.Enemy({x: 50,y: - 30,p: Tonyu.globals.$pat_Yousei+16,HP: 30,mode: 1,vr: 2});
              new Tonyu.classes.user.Enemy({x: 270,y: - 30,p: Tonyu.globals.$pat_Yousei+16,HP: 30,mode: 1,vr: - 2});
              
            }
            if (_this.t%300==0) {
              _this.ECount++;
              new Tonyu.classes.user.Enemy({x: 160,y: - 30,p: Tonyu.globals.$pat_Yousei+0,HP: 100,mode: 2});
              
            }
            
          }
          if (_this.ECount>=40) {
            if (_this.t%75==0) {
              _this.ECount+=2;
              new Tonyu.classes.user.Enemy({x: 350,y: 80+_this.sin(_this.t)*50,p: Tonyu.globals.$pat_Yousei+16,HP: 15,mode: 3,r: 175});
              new Tonyu.classes.user.Enemy({x: - 30,y: 80+_this.sin(_this.t)*50,p: Tonyu.globals.$pat_Yousei+16,HP: 15,mode: 3,r: 365});
              
            }
            if (_this.t%400==0) {
              _this.ECount++;
              new Tonyu.classes.user.Enemy({x: 160,y: - 30,p: Tonyu.globals.$pat_Yousei+32,HP: 150,mode: 4});
              
            }
            
          }
          if (_this.ECount>=100||Tonyu.globals.$EDead>=50) {
            while (_this.all(Tonyu.classes.user.Enemy).length!=0) {
              Tonyu.checkLoop();
              _this.update();
              
            }
            _this.all(Tonyu.classes.user.Shot).die();
            new Tonyu.classes.user.Boss({x: 160,y: - 50,p: Tonyu.globals.$pat_Reimu+0,mode: 1});
            break;
            
            
          }
          _this.update();
          
        }
        while (Tonyu.globals.$Clear==0) {
          Tonyu.checkLoop();
          _this.update();
          Tonyu.globals.$time++;
          
        }
        _this.t=0;
        _this.nx=Tonyu.globals.$screenWidth/2;
        _this.ny=Tonyu.globals.$screenHeight/2;
        while (true) {
          Tonyu.checkLoop();
          _this.t++;
          if (_this.t==60) {
            new Tonyu.classes.kernel.Label({x: _this.nx,y: _this.ny-200,text: "Clear!",size: 80});
          }
          if (_this.t==150) {
            new Tonyu.classes.kernel.Label({x: _this.nx,y: _this.ny-100,text: "被弾数："+Tonyu.globals.$crash,size: 15});
          }
          if (_this.t==210) {
            new Tonyu.classes.kernel.Label({x: _this.nx,y: _this.ny-50,text: "時間："+_this.floor((Tonyu.globals.$time-180)/60)+"秒",size: 15});
          }
          if (_this.t==270) {
            new Tonyu.classes.kernel.Label({x: _this.nx,y: _this.ny+30,text: "Thank you for playing!",size: 15});
          }
          _this.Time=_this.floor(Tonyu.globals.$time/1800);
          _this.update();
          
        }
      },
      fiber$main :function _trc_Main_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$uiScreen.setBGColor("Gray");
        Tonyu.globals.$Screen.setBGColor("Black");
        Tonyu.globals.$Screen.resize(320,480);
        Tonyu.globals.$screenWidth=320;
        Tonyu.globals.$screenHeight=480;
        Tonyu.globals.$crash=0;
        Tonyu.globals.$time=0;
        Tonyu.globals.$Clear=0;
        Tonyu.globals.$sound.setSEMasterVolume(10);
        Tonyu.globals.$Text1=new Tonyu.classes.kernel.Label({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2-30,text: "Please touche this screen"});
        Tonyu.globals.$Text2=new Tonyu.classes.kernel.Label({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2,text: "or"});
        Tonyu.globals.$Text3=new Tonyu.classes.kernel.Label({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2+30,text: "push a Z-key!"});
        
        _thread.enter(function _trc_Main_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(! Tonyu.globals.$touches[0].touched&&! _this.getkey(90))) { __pc=3     ; break; }
              _this.p=Tonyu.globals.$pat_Credit;
              _this.x=160;
              _this.y=380;
              _this.scaleX=0.85;
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              _this.drawSprite(_this.x,_this.y+80,Tonyu.globals.$pat_Credit2);
              __pc=1;break;
            case 3     :
              
              _this.p=- 1;
              Tonyu.globals.$Text1.die();
              Tonyu.globals.$Text2.die();
              Tonyu.globals.$Text3.die();
              Tonyu.globals.$player=new Tonyu.classes.user.Player({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/5*4});
              _this.t=0;
              _this.ECount=0;
              Tonyu.globals.$EDead=0;
              Tonyu.globals.$sound.playBGMID(1,Tonyu.globals.$se_Reimu,true,0,600758,5851011);
              Tonyu.globals.$sound.setBGMVolumeID(1,255);
            case 4:
              if (!(Tonyu.globals.$Boot.getMeasuredFps()<58)) { __pc=6     ; break; }
              _this.fiber$update(_thread);
              __pc=5;return;
            case 5:
              
              __pc=4;break;
            case 6     :
              
            case 7:
              _this.t++;
              if (_this.ECount<40) {
                if (_this.t%80==0) {
                  _this.ECount+=2;
                  new Tonyu.classes.user.Enemy({x: 50,y: - 30,p: Tonyu.globals.$pat_Yousei+16,HP: 30,mode: 1,vr: 2});
                  new Tonyu.classes.user.Enemy({x: 270,y: - 30,p: Tonyu.globals.$pat_Yousei+16,HP: 30,mode: 1,vr: - 2});
                  
                }
                if (_this.t%300==0) {
                  _this.ECount++;
                  new Tonyu.classes.user.Enemy({x: 160,y: - 30,p: Tonyu.globals.$pat_Yousei+0,HP: 100,mode: 2});
                  
                }
                
              }
              if (_this.ECount>=40) {
                if (_this.t%75==0) {
                  _this.ECount+=2;
                  new Tonyu.classes.user.Enemy({x: 350,y: 80+_this.sin(_this.t)*50,p: Tonyu.globals.$pat_Yousei+16,HP: 15,mode: 3,r: 175});
                  new Tonyu.classes.user.Enemy({x: - 30,y: 80+_this.sin(_this.t)*50,p: Tonyu.globals.$pat_Yousei+16,HP: 15,mode: 3,r: 365});
                  
                }
                if (_this.t%400==0) {
                  _this.ECount++;
                  new Tonyu.classes.user.Enemy({x: 160,y: - 30,p: Tonyu.globals.$pat_Yousei+32,HP: 150,mode: 4});
                  
                }
                
              }
              if (!(_this.ECount>=100||Tonyu.globals.$EDead>=50)) { __pc=11    ; break; }
            case 8:
              if (!(_this.all(Tonyu.classes.user.Enemy).length!=0)) { __pc=10    ; break; }
              _this.fiber$update(_thread);
              __pc=9;return;
            case 9:
              
              __pc=8;break;
            case 10    :
              
              _this.all(Tonyu.classes.user.Shot).die();
              new Tonyu.classes.user.Boss({x: 160,y: - 50,p: Tonyu.globals.$pat_Reimu+0,mode: 1});
              __pc=13    ; break;
              
            case 11    :
              
              _this.fiber$update(_thread);
              __pc=12;return;
            case 12:
              
              __pc=7;break;
            case 13    :
              
            case 14:
              if (!(Tonyu.globals.$Clear==0)) { __pc=16    ; break; }
              _this.fiber$update(_thread);
              __pc=15;return;
            case 15:
              
              Tonyu.globals.$time++;
              __pc=14;break;
            case 16    :
              
              _this.t=0;
              _this.nx=Tonyu.globals.$screenWidth/2;
              _this.ny=Tonyu.globals.$screenHeight/2;
            case 17:
              _this.t++;
              if (_this.t==60) {
                new Tonyu.classes.kernel.Label({x: _this.nx,y: _this.ny-200,text: "Clear!",size: 80});
              }
              if (_this.t==150) {
                new Tonyu.classes.kernel.Label({x: _this.nx,y: _this.ny-100,text: "被弾数："+Tonyu.globals.$crash,size: 15});
              }
              if (_this.t==210) {
                new Tonyu.classes.kernel.Label({x: _this.nx,y: _this.ny-50,text: "時間："+_this.floor((Tonyu.globals.$time-180)/60)+"秒",size: 15});
              }
              if (_this.t==270) {
                new Tonyu.classes.kernel.Label({x: _this.nx,y: _this.ny+30,text: "Thank you for playing!",size: 15});
              }
              _this.Time=_this.floor(Tonyu.globals.$time/1800);
              _this.fiber$update(_thread);
              __pc=18;return;
            case 18:
              
              __pc=17;break;
            case 19    :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"t":{},"ECount":{},"nx":{},"ny":{},"Time":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Name',
  shortName: 'Name',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Name_main() {
        "use strict";
        var _this=this;
        
        _this.s=500;
        _this.g=30;
        _this.max=60;
        _this.n=0;for (; _this.n<Tonyu.bindFunc(_this,_this.max) ; _this.n++) {
          Tonyu.checkLoop();
          {
            _this.y=_this.s+(_this.g-_this.s)*((Tonyu.bindFunc(_this,_this.max)*2-_this.n+1)*_this.n/2)/((Tonyu.bindFunc(_this,_this.max)+1)*Tonyu.bindFunc(_this,_this.max)/2);
            _this.update();
          }
        }
      },
      fiber$main :function _trc_Name_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.s=500;
        _this.g=30;
        _this.max=60;
        
        _thread.enter(function _trc_Name_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.n=0;
            case 1:
              if (!(_this.n<Tonyu.bindFunc(_this,_this.max))) { __pc=4     ; break; }
              _this.y=_this.s+(_this.g-_this.s)*((Tonyu.bindFunc(_this,_this.max)*2-_this.n+1)*_this.n/2)/((Tonyu.bindFunc(_this,_this.max)+1)*Tonyu.bindFunc(_this,_this.max)/2);
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
            case 3     :
              _this.n++;
              __pc=1;break;
            case 4     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"s":{},"g":{},"n":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Player',
  shortName: 'Player',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Player_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$ShotCounter=0;
        _this.i=0;
        while (true) {
          Tonyu.checkLoop();
          if (_this.getkey(16)) {
            _this.sp=0.5;
          } else {
            _this.sp=1;
          }
          _this.pat=0;
          if (_this.getkey(39)) {
            _this.x+=3*_this.sp;
            _this.pat=2;
            
          }
          if (_this.getkey(37)) {
            _this.x-=3*_this.sp;
            _this.pat=1;
            
          }
          if (_this.getkey(40)) {
            _this.y+=3*_this.sp;
          }
          if (_this.getkey(38)) {
            _this.y-=3*_this.sp;
          }
          if (Tonyu.globals.$touches[0].touched||_this.getkey(90)) {
            _this.t++;
            _this.x+=Tonyu.globals.$touches[0].vx;
            _this.y+=Tonyu.globals.$touches[0].vy;
            
          } else {
            _this.t=1;
          }
          _this.p=Tonyu.globals.$pat_Alice+_this.pat;
          _this.drawSprite(_this.x-20,_this.y+30,Tonyu.globals.$pat_Option);
          _this.drawSprite(_this.x+20,_this.y+30,Tonyu.globals.$pat_Option);
          if (_this.t%5==0) {
            new Tonyu.classes.user.Bullet({x: _this.x+5,y: _this.y-10,p: Tonyu.globals.$pat_Bullet,atc: 3});
            new Tonyu.classes.user.Bullet({x: _this.x-5,y: _this.y-10,p: Tonyu.globals.$pat_Bullet,atc: 3});
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_Bullet,false);
            
          }
          if (_this.t%15==0) {
            new Tonyu.classes.user.Bullet({x: _this.x+20,y: _this.y+30,p: Tonyu.globals.$pat_Bullet+1,atc: 1.5});
            new Tonyu.classes.user.Bullet({x: _this.x-20,y: _this.y+30,p: Tonyu.globals.$pat_Bullet+1,atc: 1.5});
            
          }
          if (_this.x<10) {
            _this.x=10;
          }
          if (_this.x>Tonyu.globals.$screenWidth-10) {
            _this.x=Tonyu.globals.$screenWidth-10;
          }
          if (_this.y<10) {
            _this.y=10;
          }
          if (_this.y>Tonyu.globals.$screenHeight-10) {
            _this.y=Tonyu.globals.$screenHeight-10;
          }
          _this.update();
          _this.drawText(5,460,"FPS："+Tonyu.globals.$Boot.getMeasuredFps(),"white");
          
        }
      },
      fiber$main :function _trc_Player_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$ShotCounter=0;
        _this.i=0;
        
        _thread.enter(function _trc_Player_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (_this.getkey(16)) {
                _this.sp=0.5;
              } else {
                _this.sp=1;
              }
              _this.pat=0;
              if (_this.getkey(39)) {
                _this.x+=3*_this.sp;
                _this.pat=2;
                
              }
              if (_this.getkey(37)) {
                _this.x-=3*_this.sp;
                _this.pat=1;
                
              }
              if (_this.getkey(40)) {
                _this.y+=3*_this.sp;
              }
              if (_this.getkey(38)) {
                _this.y-=3*_this.sp;
              }
              if (Tonyu.globals.$touches[0].touched||_this.getkey(90)) {
                _this.t++;
                _this.x+=Tonyu.globals.$touches[0].vx;
                _this.y+=Tonyu.globals.$touches[0].vy;
                
              } else {
                _this.t=1;
              }
              _this.p=Tonyu.globals.$pat_Alice+_this.pat;
              _this.drawSprite(_this.x-20,_this.y+30,Tonyu.globals.$pat_Option);
              _this.drawSprite(_this.x+20,_this.y+30,Tonyu.globals.$pat_Option);
              if (_this.t%5==0) {
                new Tonyu.classes.user.Bullet({x: _this.x+5,y: _this.y-10,p: Tonyu.globals.$pat_Bullet,atc: 3});
                new Tonyu.classes.user.Bullet({x: _this.x-5,y: _this.y-10,p: Tonyu.globals.$pat_Bullet,atc: 3});
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_Bullet,false);
                
              }
              if (_this.t%15==0) {
                new Tonyu.classes.user.Bullet({x: _this.x+20,y: _this.y+30,p: Tonyu.globals.$pat_Bullet+1,atc: 1.5});
                new Tonyu.classes.user.Bullet({x: _this.x-20,y: _this.y+30,p: Tonyu.globals.$pat_Bullet+1,atc: 1.5});
                
              }
              if (_this.x<10) {
                _this.x=10;
              }
              if (_this.x>Tonyu.globals.$screenWidth-10) {
                _this.x=Tonyu.globals.$screenWidth-10;
              }
              if (_this.y<10) {
                _this.y=10;
              }
              if (_this.y>Tonyu.globals.$screenHeight-10) {
                _this.y=Tonyu.globals.$screenHeight-10;
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              _this.drawText(5,460,"FPS："+Tonyu.globals.$Boot.getMeasuredFps(),"white");
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"i":{},"sp":{},"pat":{},"t":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Shot',
  shortName: 'Shot',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Shot_main() {
        "use strict";
        var _this=this;
        
        _this.t=0;
        _this.i=0;
        _this.Ef=0;
        Tonyu.globals.$ShotCounter++;
        if (Tonyu.globals.$ShotCounter>250) {
          _this.die();
          Tonyu.globals.$ShotCounter--;
          
        }
        _this.on("die",(function anonymous_293() {
          
          if (_this.Ef!=null) {
            new Tonyu.classes.user.Effect({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_Effect+_this.Ef});
          }
          Tonyu.globals.$ShotCounter--;
        }));
        while (true) {
          Tonyu.checkLoop();
          _this.i++;
          if (_this.i>600) {
            _this.die();
            
          }
          if (_this.screenOut()>10) {
            _this.Ef=null;
            _this.die();
            
          }
          if (_this.vrotation) {
            _this.rotation=- _this.vrotation+90;
            _this.vx=_this.cos(_this.vrotation)*_this.sp;
            _this.vy=- _this.sin(_this.vrotation)*_this.sp;
            
          }
          _this.x+=_this.vx;
          _this.y+=_this.vy;
          if (_this.dist(_this.x-Tonyu.globals.$player.x,_this.y-Tonyu.globals.$player.y)<5) {
            _this.Ef=8;
            _this.die();
            Tonyu.globals.$crash++;
            
          }
          if (_this.bound>0) {
            while (_this.vrotation>=360) {
              Tonyu.checkLoop();
              _this.vrotation-=360;
              
            }
            while (_this.vrotation<0) {
              Tonyu.checkLoop();
              _this.vrotation+=360;
              
            }
            if (_this.x>Tonyu.globals.$screenWidth) {
              if (_this.vrotation>270) {
                _this.inA=360-_this.vrotation;
                _this.vrotation=180+_this.inA;
                
              } else {
                _this.inA=_this.vrotation;
                _this.vrotation=180-_this.inA;
                
              }
              _this.bound--;
              
            }
            if (_this.x<0) {
              if (_this.vrotation<180) {
                _this.inA=180-_this.vrotation;
                _this.vrotation=_this.inA;
                
              } else {
                _this.inA=_this.vrotation-180;
                _this.vrotation=360-_this.inA;
                
              }
              _this.bound--;
              
            }
            if (_this.y<0) {
              if (_this.vrotation<90) {
                _this.inA=90-_this.vrotation;
                _this.vrotation=270+_this.inA;
                
              } else {
                _this.inA=_this.vrotation-90;
                _this.vrotation=270-_this.inA;
                
              }
              _this.bound--;
              
            }
            
          }
          if (_this.CF) {
            _this.t++;
            if (_this.CF<_this.t) {
              while (_this.stop>0) {
                Tonyu.checkLoop();
                _this.stop--;
                _this.update();
                
              }
              _this.vrotation=null;
              _this.sp=null;
              if (_this.angle==null) {
                _this.angle=- _this.atanxy(Tonyu.globals.$player.x-_this.x,Tonyu.globals.$player.y-_this.y);
                
              }
              _this.vx=_this.cos(_this.angle)*_this.acc;
              _this.vy=- _this.sin(_this.angle)*_this.acc;
              _this.rotation=- _this.angle+90;
              if (_this.pat!=null) {
                _this.p=Tonyu.globals.$pat_Shot+_this.pat;
              }
              _this.CF=null;
              
            }
            
          }
          if (_this.CF2) {
            if (_this.CF==null) {
              _this.t++;
            }
            if (_this.CF2<_this.t) {
              while (_this.stop2>0) {
                Tonyu.checkLoop();
                _this.stop2--;
                _this.update();
                
              }
              if (_this.angle2==null) {
                _this.angle2=- _this.atanxy(Tonyu.globals.$player.x-_this.x,Tonyu.globals.$player.y-_this.y);
                
              }
              _this.vx=_this.cos(_this.angle2)*_this.acc2;
              _this.vy=- _this.sin(_this.angle2)*_this.acc2;
              _this.rotation=- _this.angle2+90;
              if (_this.pat2!=null) {
                _this.p=Tonyu.globals.$pat_Shot+_this.pat2;
              }
              _this.CF=null;
              
            }
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Shot_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.t=0;
        _this.i=0;
        _this.Ef=0;
        Tonyu.globals.$ShotCounter++;
        if (Tonyu.globals.$ShotCounter>250) {
          _this.die();
          Tonyu.globals.$ShotCounter--;
          
        }
        _this.on("die",(function anonymous_293() {
          
          if (_this.Ef!=null) {
            new Tonyu.classes.user.Effect({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_Effect+_this.Ef});
          }
          Tonyu.globals.$ShotCounter--;
        }));
        
        _thread.enter(function _trc_Shot_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.i++;
              if (_this.i>600) {
                _this.die();
                
              }
              if (_this.screenOut()>10) {
                _this.Ef=null;
                _this.die();
                
              }
              if (_this.vrotation) {
                _this.rotation=- _this.vrotation+90;
                _this.vx=_this.cos(_this.vrotation)*_this.sp;
                _this.vy=- _this.sin(_this.vrotation)*_this.sp;
                
              }
              _this.x+=_this.vx;
              _this.y+=_this.vy;
              if (_this.dist(_this.x-Tonyu.globals.$player.x,_this.y-Tonyu.globals.$player.y)<5) {
                _this.Ef=8;
                _this.die();
                Tonyu.globals.$crash++;
                
              }
              if (!(_this.bound>0)) { __pc=6     ; break; }
            case 2:
              if (!(_this.vrotation>=360)) { __pc=3     ; break; }
              {
                _this.vrotation-=360;
              }
              __pc=2;break;
            case 3     :
              
            case 4:
              if (!(_this.vrotation<0)) { __pc=5     ; break; }
              {
                _this.vrotation+=360;
              }
              __pc=4;break;
            case 5     :
              
              if (_this.x>Tonyu.globals.$screenWidth) {
                if (_this.vrotation>270) {
                  _this.inA=360-_this.vrotation;
                  _this.vrotation=180+_this.inA;
                  
                } else {
                  _this.inA=_this.vrotation;
                  _this.vrotation=180-_this.inA;
                  
                }
                _this.bound--;
                
              }
              if (_this.x<0) {
                if (_this.vrotation<180) {
                  _this.inA=180-_this.vrotation;
                  _this.vrotation=_this.inA;
                  
                } else {
                  _this.inA=_this.vrotation-180;
                  _this.vrotation=360-_this.inA;
                  
                }
                _this.bound--;
                
              }
              if (_this.y<0) {
                if (_this.vrotation<90) {
                  _this.inA=90-_this.vrotation;
                  _this.vrotation=270+_this.inA;
                  
                } else {
                  _this.inA=_this.vrotation-90;
                  _this.vrotation=270-_this.inA;
                  
                }
                _this.bound--;
                
              }
            case 6     :
              
              if (!(_this.CF)) { __pc=11    ; break; }
              _this.t++;
              if (!(_this.CF<_this.t)) { __pc=10    ; break; }
            case 7:
              if (!(_this.stop>0)) { __pc=9     ; break; }
              _this.stop--;
              _this.fiber$update(_thread);
              __pc=8;return;
            case 8:
              
              __pc=7;break;
            case 9     :
              
              _this.vrotation=null;
              _this.sp=null;
              if (_this.angle==null) {
                _this.angle=- _this.atanxy(Tonyu.globals.$player.x-_this.x,Tonyu.globals.$player.y-_this.y);
                
              }
              _this.vx=_this.cos(_this.angle)*_this.acc;
              _this.vy=- _this.sin(_this.angle)*_this.acc;
              _this.rotation=- _this.angle+90;
              if (_this.pat!=null) {
                _this.p=Tonyu.globals.$pat_Shot+_this.pat;
              }
              _this.CF=null;
            case 10    :
              
            case 11    :
              
              if (!(_this.CF2)) { __pc=16    ; break; }
              if (_this.CF==null) {
                _this.t++;
              }
              if (!(_this.CF2<_this.t)) { __pc=15    ; break; }
            case 12:
              if (!(_this.stop2>0)) { __pc=14    ; break; }
              _this.stop2--;
              _this.fiber$update(_thread);
              __pc=13;return;
            case 13:
              
              __pc=12;break;
            case 14    :
              
              if (_this.angle2==null) {
                _this.angle2=- _this.atanxy(Tonyu.globals.$player.x-_this.x,Tonyu.globals.$player.y-_this.y);
                
              }
              _this.vx=_this.cos(_this.angle2)*_this.acc2;
              _this.vy=- _this.sin(_this.angle2)*_this.acc2;
              _this.rotation=- _this.angle2+90;
              if (_this.pat2!=null) {
                _this.p=Tonyu.globals.$pat_Shot+_this.pat2;
              }
              _this.CF=null;
            case 15    :
              
            case 16    :
              
              _this.fiber$update(_thread);
              __pc=17;return;
            case 17:
              
              __pc=1;break;
            case 18    :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"t":{},"i":{},"Ef":{},"vrotation":{},"vx":{},"sp":{},"vy":{},"bound":{},"inA":{},"CF":{},"stop":{},"angle":{},"acc":{},"pat":{},"CF2":{},"stop2":{},"angle2":{},"acc2":{},"pat2":{}}}
});

//# sourceMappingURL=concat.js.map